Subject: Re: CCL:GLw - GL Widget toolkit for Linux ?

From: "Joerg-Ruediger Hill" <[email-masked]>
Date: Wed, 18 Jul 2001 09:20:36 +0200

> I am in the process of rewriting an old molecular graphics toolkit and
> would like it to be both portable and flexible.
>
> OpenGL is an obvious chice for the molecule display, a number of
> integrations of OpenGL into the X windows system are available. Some
> integrations are smooth and use the GLU toolkit, but limited in user
> control. The other option is GLX which allows low level control, but
> does require a substantial amount of programming. A good solution
> appears to be the GLw or GL Widget library supplied by SGI and as far as
> I recall it is also avalable for IBM platforms.
>
> I have not seen any public domain GLw libraries - is anybody aware of
> the existence of such a toolkit for Linux ? and if so does it work with
> Mesa ?

There exists two versions of the GLw libraries. SGI has released the
source code to its version and Mesa has its own enhanced version. If
you download the Mesa source code you will get both versions in the
directories widgets-sgi and widgets-mesa. You need to compile them
separately from Mesa.

Jörg-Rüdiger Hill

-- 

------------------------------------------------------------------------------
Dr. Jörg-Rüdiger Hill   | Phone +49 89 61459-413   | The opinions expressed in
Accelrys GmbH           | Fax   +49 89 61459-400   | this  message are my per-
Inselkammerstrasse 1    | E-mail [email-masked]  | sonal   opinions  and  no
D-82008 Unterhaching    |                          | offical   statements   of
Germany                 | http://www.accelrys.com/ | Accelrys Inc.
------------------------------------------------------------------------------